unit DrgDrpEx1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, DragAndDrop;

type
  TForm1 = class(TForm)
    DragDrop1: TDragDrop;
    Panel1: TPanel;
    ListBox1: TListBox;
    Label1: TLabel;
    ListBox2: TListBox;
    Label2: TLabel;
    Label3: TLabel;
    Panel2: TPanel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    ListBox3: TListBox;
    ListBox4: TListBox;
    DragDrop2: TDragDrop;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    GroupBox1: TGroupBox;
    Button2: TButton;
    Button1: TButton;
    Memo1: TMemo;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    procedure ListBox1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure ListBox1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ListBox3MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox3DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure ListBox3DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses DrgDrpEx2;

{$R *.DFM}

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if key=VK_ESCAPE then application.terminate;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  application.terminate;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Listbox1.multiselect:=not ListBox1.multiselect;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Listbox2.multiselect:=not ListBox2.multiselect;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Listbox3.multiselect:=not ListBox3.multiselect;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  Listbox4.multiselect:=not ListBox4.multiselect;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  Listbox1.sorted:=not Listbox1.sorted;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  Listbox2.sorted:=not Listbox2.sorted;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  Listbox3.sorted:=not Listbox3.sorted;
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  Listbox4.sorted:=not Listbox4.sorted;
end;

procedure TForm1.ListBox1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  DragDrop1.StartDragging(sender,button);
end;

procedure TForm1.ListBox1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  accept:=DragDrop1.CheckDragOverPermission(sender,source);
end;

procedure TForm1.ListBox1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  DragDrop1.DropItem(sender,source);
end;

procedure TForm1.ListBox3MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  DragDrop2.StartDragging(sender,button);
end;

procedure TForm1.ListBox3DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  accept:=DragDrop2.CheckDragOverPermission(sender,source);
end;

procedure TForm1.ListBox3DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  DragDrop2.DropItem(sender,source);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  form1.hide;
  form2.show;
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  dragdrop1.active:=true;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  dragdrop1.active:=false;
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
  dragdrop2.active:=true;
end;

procedure TForm1.Button14Click(Sender: TObject);
begin
  dragdrop2.active:=false;
end;

end.
